import javafx.scene.canvas.GraphicsContext;
import javafx.scene.paint.Color;

class Disk extends Sprite
{
  Color color = Color.RED;
  public static final double RADIUS = 20;

  void updateSprite()
  {
    if (active)
    {
      updatePosition();
      // If we've dropped off the screen, suspend the Disk
	  if (y > Skeet.HEIGHT)
      	suspend();
    }
  }

  void hit(Sprite sprites[], int base)
  {
    int i;

    // turn off the disk and all of the frags
    // (and set each frag to the current disk position
  	suspend();
  	for (i = 0; i < 6; i++)
  	{
  		sprites[base + i].setPosition(x,y);
  		sprites[base + i].setVelocity(dx,dy);
  	} 	
  	for (i = 0; i < 6; i++)
  	  sprites[base + i].resume();
  }

  void render(GraphicsContext gc)
  {
    if (visible)
    {
      gc.setFill(color);
      gc.fillOval(x-RADIUS, y-RADIUS, 2*RADIUS, 2*RADIUS);
    }
  }
}